Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0028167
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 03. Procurement managementminoralways2014-11-13 10:102015-02-04 20:34
ReporterngarciaView Statuspublic 
Assigned Tofsoto82 
PriorityhighResolutionfixedFixed in Versionpi
StatusclosedFix in branchpiFixed in SCM revisionaa779db8fcd7
ProjectionnoneETAnoneTarget Version3.0PR15Q2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toumartirena
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0028167: Error message shown when trying to create a purchase order from a requisition without a valid tax should be improved

DescriptionError message shown when trying to create a purchase order from a requisition without a valid tax should be improved
Steps To ReproduceAs group admin role:
   Create a Tax Category
   Create a Product, assign that Tax Category and a purchase price
   Check there is not any Tax Rate set as Default (change it to Default = 'N' in case it exists)
   Create a Requisition with that product and complete it
   Go to Requisition to Order window and process the requisition
   Check the following message is raised:
      No tax defined for line 10 to requisition number: 10000000
   Go to Manage Requisitions window and try to Create Purchase Order from it
   Check the message is the following:
      null value in column "c_tax_id" violates not-null constraint
   
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0073428)
fsoto82 (developer)
2015-01-12 15:09

As group admin role:
   Create a Tax Category
   Create a Product, assign that Tax Category and a purchase price
   Check there is not any Tax Rate set as Default (change it to Default = 'N' in case it exists)
   Create a Requisition with that product and complete it
   Go to Requisition to Order window and process the requisition
   Check the following message is raised:
      No tax defined for line 10 to requisition number: 10000000
   Go to Manage Requisitions window and try to Create Purchase Order from it
   Check the message is the following: "Invalid Tax. Please define a default Tax Category."
(0073555)
hgbot (developer)
2015-01-15 19:23

Repository: erp/devel/pi
Changeset: aa779db8fcd7ab4f2de3d1e40b92503e536d3cde
Author: Unai Martirena <unai.martirena <at> openbravo.com>
Date: Thu Jan 15 19:22:35 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/aa779db8fcd7ab4f2de3d1e40b92503e536d3cde [^]

Fixed bug 28167: Improved msg for Create PO from a requisition with invalid tax

Changed M_REQUISITION_CREATEPO to chech for a existing tax, if not found, a new error message (NoTaxDefinedForRequisitionLine) is shown.

---
M src-db/database/model/functions/M_REQUISITION_CREATEPO.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
---
(0073556)
umartirena (developer)
2015-01-15 19:24

The issue has been fixed by Fernando.

Code Review + Testing OK
(0074150)
hudsonbot (developer)
2015-02-04 20:34

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/f36c91d0ad63 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-11-13 10:10 ngarcia New Issue
2014-11-13 10:10 ngarcia Assigned To => AtulOpenbravo
2014-11-13 10:10 ngarcia Modules => Core
2014-11-13 10:10 ngarcia Triggers an Emergency Pack => No
2014-11-13 10:10 ngarcia Issue Monitored: networkb
2014-12-01 13:39 egoitz Target Version 3.0PR15Q1 => 3.0PR15Q2
2014-12-05 16:22 fsoto82 Status new => scheduled
2014-12-05 16:22 fsoto82 Assigned To AtulOpenbravo => fsoto82
2014-12-05 16:22 fsoto82 fix_in_branch => pi
2015-01-12 15:09 fsoto82 Note Added: 0073428
2015-01-15 19:23 hgbot Checkin
2015-01-15 19:23 hgbot Note Added: 0073555
2015-01-15 19:23 hgbot Status scheduled => resolved
2015-01-15 19:23 hgbot Resolution open => fixed
2015-01-15 19:23 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/aa779db8fcd7ab4f2de3d1e40b92503e536d3cde [^]
2015-01-15 19:24 umartirena Review Assigned To => umartirena
2015-01-15 19:24 umartirena Note Added: 0073556
2015-01-15 19:24 umartirena Status resolved => closed
2015-01-15 19:24 umartirena Fixed in Version => pi
2015-02-04 20:34 hudsonbot Checkin
2015-02-04 20:34 hudsonbot Note Added: 0074150


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker